=== debian/changelog ===
texlive-doc (2012.20120611-1) unstable; urgency=low

  * new upstream checkout (TL2012 release)

 -- Norbert Preining <preining@debian.org>  Mon, 11 Jun 2012 12:01:49 +0900

texlive-doc (2012.20120529-1) unstable; urgency=low

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Tue, 29 May 2012 19:18:42 +0900

texlive-doc (2012.20120516-1) unstable; urgency=low

  * new upstream snapshot based on TL2012 tlpretest
  * switch to xz compression for orig and deb

 -- Norbert Preining <preining@debian.org>  Wed, 16 May 2012 08:22:00 +0900

texlive-doc (2011.20120509-1) unstable; urgency=low

  * new upstream snapshot

 -- Norbert Preining <preining@debian.org>  Wed, 25 Apr 2012 12:01:04 +0900

texlive-doc (2011.20120424-1) unstable; urgency=low

  * new upstream snapshot

 -- Norbert Preining <preining@debian.org>  Tue, 24 Apr 2012 08:38:21 +0900

texlive-doc (2011.20120322-1) unstable; urgency=low

  * new upstream releases, upload to unstable

 -- Norbert Preining <preining@debian.org>  Fri, 23 Mar 2012 08:37:36 +0900

texlive-doc (2011.20120314-1) experimental; urgency=low

  * new upstream with proper blacklist handling

 -- Norbert Preining <preining@debian.org>  Wed, 14 Mar 2012 16:52:00 +0900

texlive-doc (2011.20120226-1) experimental; urgency=low

  * new upstream, too many changes

 -- Norbert Preining <preining@debian.org>  Tue, 06 Mar 2012 21:33:16 +0900

texlive-doc (2007.dfsg.1-1) unstable; urgency=medium

  * bump standards version to 3.8.0:
    - rename README.Debian-source to README.source an explain how to change
      something using quilt by refering to the quilt README.source
    - add homepage field to control
    - add a patch target to debian/rules
  * add dversionmangle to debian/watch file to ignore the .dfsg.NN suffix
  * blacklist catalogue.tpm, the source is not present and in addition
    not completely free. So we drop the Catalogue, as it is also dropped
    upstream for TL2008. (Closes: #487149) [np]
    That needs a new .orig.tar.gz, and urgency medium since it is RC

 -- Norbert Preining <preining@debian.org>  Thu, 26 Jun 2008 23:12:35 +0200

texlive-doc (2007-4) unstable; urgency=low

  * add stricter dependencies to all packages: if in the final shipout
    dep on a texlive package there is no version given, the value of
    latest-version (from tpm2deb.cfg) of the source package is taken.
  * Update location of upstream iso.zip file in uscan watch file (closes:
    #449630), thanks to Raphael Geissert <atomo64@gmail.com> [fk]
  * bump standards version to 3.7.3, no changes needed
  * fix the spelling of the gentle description (Closes: #469931)
  * add the LPPL to debian/copyright

 -- Norbert Preining <preining@debian.org>  Sat, 19 Apr 2008 20:07:57 +0200

texlive-doc (2007-3) unstable; urgency=low

  * rename texlive-doc-ch to texlive-doc-zh, what a stupid error
    and let texlive-doc-zh replace and conflict texlive-doc-ch

 -- Norbert Preining <preining@debian.org>  Mon, 14 May 2007 10:42:07 +0200

texlive-doc (2007-2) unstable; urgency=low

  * first upload of TeX Live 2007 to unstable
  * do not compress documentation pdf files (Closes: #407979)

 -- Norbert Preining <preining@debian.org>  Tue, 10 Apr 2007 18:16:00 +0200

texlive-doc (2007-1) experimental; urgency=low

  * new upstream version

 -- Norbert Preining <preining@debian.org>  Wed, 21 Mar 2007 17:03:33 +0100

texlive-doc (2005.dfsg.2-1) unstable; urgency=medium

  * change the uploader field to my debian.org email address
  * regenerating orig.tar.gz to be in sync with the other packages
  * urgency set to medium to get these fixes to testing

 -- Norbert Preining <preining@debian.org>  Mon,  9 Oct 2006 11:19:18 +0200

texlive-doc (2005.dfsg.1-1) unstable; urgency=low

  * add lintian override for wrong-name-for-upstream-changelog triggered
    by CHANGES.packaging
  * change maintainer to debian-tex-maint@l.d.o
  * report bugs together with tex-common, and report status of the
    tetex packages. Fix some small things in bug.scripts.

 -- Norbert Preining <preining@logic.at>  Mon,  4 Sep 2006 10:42:37 +0200

texlive-doc (2005-2) unstable; urgency=low

  * first upload to unstable, sponsored by 
    Frank Küster <frank@debian.org>
  * texdoc support
    - let tetex texdoc find documentation of texlive (Closes: #364776)
    - include tetex texdoc patches (following of symlinks, security
      fixes) (Closes: #356390)
  * texlive-lang-polish conflicts with octave-forge as both provide
    /usr/bin/mex, this is preliminary, a better solution must be
    sought (Closes: #364059)
  * change shell for the reportbug script to bash (Closes: #356391)
  * fix installation of thumbpdf and pdfcrop (Closes: #352092)
  * improve various descriptions (Closes: #354964)
  * call the update-* programs in all postinst scripts, so that the
    config files do not contain left-overs (Closes: #355266)
  * fix creation of formats which in turn depend on the latex format
    (Closes: #351707)
  * remap the ibycus4.map TeX/MF input file from the fonts/map location
    to the fonts/source location (Closes: #354652)
  * depend on the updated lmodern package, thus making the fonts
    available for X (Closes: #351727)
  * lots of internal changes, important ones being:
    - texlive packages now do not include files which have been
      packaged for Debian already (eg cm-super, lmodern, musixtex)
    - most packages can be used together with teTeX
    - fix several upstream bugs
    - generate license information for each file from the
      TeX Catalogue (ongoing work)
    for detailed changes see CHANGES.packaging in texlive-common

 -- Norbert Preining <preining@logic.at>  Thu, 11 May 2006 00:12:10 +0200

texlive-doc (2005-1) experimental; urgency=low

  * First upload to experimental (Closes: #312897)

 -- Norbert Preining <preining@logic.at>  Thu, 12 Jan 2006 17:30:22 +0100

# vim:set fileencoding=utf-8: #
# Local Variables:
# coding: utf-8
# mode: debian-changelog
# End:
