=== debian/control ===
Source: texlive-doc
Section: tex
Priority: optional
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <preining@debian.org>, Frank Küster <frank@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: sharutils, tex-common (>= 3), eperl, findutils (>=4.2.0)
Standards-Version: 3.9.3
Homepage: http://www.tug.org/texlive/

Package: texlive-doc-base
Architecture: all
Depends: texlive-common (>= 2012.20120516), ${misc:Depends}
Description: TeX Live: TeX Live documentation
 This package includes the following CTAN packages:
  texlive-docindex -- top-level TeX Live doc.html, etc.
  texlive-en -- TeX Live manual (English)

Package: texlive-doc-ar
Architecture: all
Depends: texlive-doc-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}
Description: TeX Live: Arabic documentation
 This package includes the following CTAN packages:
  lshort-persian -- Persian (Farsi) introduction to LaTeX.

Package: texlive-doc-bg
Architecture: all
Depends: texlive-doc-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}
Description: TeX Live: Bulgarian documentation
 This package includes the following CTAN packages:
  lshort-bulgarian -- Bulgarian translation of the "Short Introduction to
   LaTeX2e".
  pst-eucl-translation-bg -- Bulgarian translation of the pst-eucl
   documentation.

Package: texlive-doc-zh
Architecture: all
Depends: texlive-doc-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}
Description: TeX Live: Chinese documentation
 This package includes the following CTAN packages:
  asymptote-faq-zh-cn -- Asymptote FAQ (Chinese translation).
  asymptote-by-example-zh-cn -- Asymptote by example.
  asymptote-manual-zh-cn -- A Chinese translation of the asymptote manual.
  ctex-faq -- LaTeX FAQ by the Chinese TeX Society (ctex.org).
  latex-notes-zh-cn -- Chinese Introduction to TeX and LaTeX.
  lshort-chinese -- Introduction to LaTeX, in Chinese.
  texlive-zh-cn -- TeX Live manual (Chinese)

Package: texlive-doc-cs+sk
Architecture: all
Depends: texlive-doc-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}
Description: TeX Live: Czech/Slovak documentation
 This package includes the following CTAN packages:
  lshort-czech -- Czech translation of the "Short Introduction to LaTeX2e".
  lshort-slovak -- Slovak introduction to LaTeX.
  texlive-cz -- TeX Live manual (Czech/Slovak)

Package: texlive-doc-nl
Architecture: all
Depends: texlive-doc-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}
Description: TeX Live: Dutch documentation
 This package includes the following CTAN packages:
  lshort-dutch -- Introduction to LaTeX in Dutch.

Package: texlive-doc-en
Architecture: all
Depends: texlive-doc-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}
Description: TeX Live: English documentation
 This package includes the following CTAN packages:
  FAQ-en -- A compilation of Frequently Asked Questions with answers.
  MemoirChapStyles -- Chapter styles in memoir class.
  Type1fonts -- Font installation guide.
  amslatex-primer -- Getting up and running with AMS-LaTeX.
  around-the-bend -- Typeset exercises in TeX, with answers.
  ascii-chart -- An ASCII wall chart.
  components-of-TeX -- Components of TeX.
  comprehensive -- Symbols accessible from LaTeX.
  dtxtut -- Tutorial on writing .dtx and .ins files
  first-latex-doc -- A document for absolute LaTeX beginners.
  gentle -- A Gentle Introduction to TeX.
  guide-to-latex --
  happy4th -- A firework display in obfuscated TeX.
  impatient -- Free edition of the book "TeX for the Impatient"
  intro-scientific -- Introducing scientific/mathematical documents using
   LaTeX.
  knuth -- Knuth's published errata.
  l2tabu-english -- English translation of "Obsolete packages and commands".
  latex-course -- A LaTeX course as a projected presentation.
  latex-doc-ptr -- A direction-finder for LaTeX documentation.
  latex-graphics-companion -- Examples from The LaTeX Graphics Companion.
  latex-veryshortguide -- The Very Short Guide to LaTeX.
  latex-web-companion -- Examples from The LaTeX Web Companion.
  latex2e-help-texinfo -- Unoffical reference manual covering LaTeX2e.
  latex4wp -- A LaTeX guide specifically designed for word processor users.
  latexcheat -- A LaTeX cheat sheet.
  latexfileinfo-pkgs -- A comparison of packages showing LaTeX file
   information.
  lshort-english -- A (Not So) Short Introduction to LaTeX2e.
  macros2e -- A list of internal LaTeX2e macros.
  math-e -- Examples from the book Typesetting Mathematics with LaTeX.
  mathmode -- A comprehensive review of mathematics in (La)TeX.
  memdesign -- Notes on book design
  metafont-beginners -- An introductory tutorial for MetaFont.
  metapost-examples -- Example drawings using MetaPost.
  mil3 -- Samples from Math into LaTeX, third edition.
  patgen2-tutorial -- A tutorial on the use of Patgen 2.
  pictexsum -- A summary of PicTeX commands.
  plain-doc -- A list of plain.tex cs names.
  pstricks-examples-en -- Examples from PSTricks book (English edition).
  pstricks-tutorial --
  simplified-latex -- A Simplified Introduction to LaTeX.
  svg-inkscape -- How to include an SVG image in LaTeX using Inkscape.
  tabulars-e -- Examples from the book "Typesetting tables with LaTeX".
  tamethebeast -- A manual about bibliographies and especially BibTeX.
  tds -- The TeX Directory Structure standard.
  tex-font-errors-cheatsheet -- Cheat sheet outlining the most common TeX
   font errors.
  tex-overview -- An overview of the development of TeX.
  tex-refs -- References for TeX and Friends
  texbytopic -- Freed version of the book TeX by Topic.
  titlepages -- Sample titlepages, and how to code them.
  tlc2 -- Examples from "The LaTeX Companion", second edition.
  visualfaq -- A Visual LaTeX FAQ.
  webguide -- Brief Guide to LaTeX Tools for Web publishing.
  xetexref -- Reference documentation of XeTeX.

Package: texlive-doc-fi
Architecture: all
Depends: texlive-doc-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}
Description: TeX Live: Finnish documentation
 This package includes the following CTAN packages:
  lshort-finnish -- Finnish introduction to LaTeX.

Package: texlive-doc-fr
Architecture: all
Depends: texlive-doc-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}
Description: TeX Live: French documentation
 This package includes the following CTAN packages:
  apprends-latex -- Apprends LaTeX!
  epslatex-fr -- French version of "graphics in LaTeX".
  impatient-fr -- Free edition of the book "TeX for the Impatient"
  l2tabu-french -- French translation of l2tabu.
  lshort-french -- Short introduction to LaTeX, French translation.
  texlive-fr -- TeX Live manual (French)
  translation-array-fr -- French translation of the documentation of array.
  translation-dcolumn-fr -- French translation of the documentation of
   dcolumn.
  translation-natbib-fr -- French translation of the documentation of natbib.
  translation-tabbing-fr -- French translation of the documentation of
   Tabbing.

Package: texlive-doc-de
Architecture: all
Depends: texlive-doc-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}
Description: TeX Live: German documentation
 This package includes the following CTAN packages:
  einfuehrung -- Examples from the book Einfuhrung in LaTeX.
  fifinddo-info -- German HTML beamer presentation on nicetext and morehype.
  kopka --
  l2picfaq -- LaTeX pictures "how-to" (German).
  l2tabu -- Obsolete packages and commands.
  latex-bib-ex -- Examples for the book Bibliografien mit LaTeX.
  latex-referenz -- Examples from the book "LaTeX Referenz".
  latex-tabellen -- LaTeX Tabellen.
  lshort-german -- German version of A Short Introduction to LaTeX2e:
   LaTeX2e-Kurzbeschreibung.
  presentations -- Examples from the book Presentationen mit LaTeX.
  pstricks-examples -- PSTricks examples.
  templates-fenn -- Templates for TeX usage.
  templates-sommer -- Templates for TeX usage.
  texlive-de -- TeX Live manual (German)
  translation-arsclassica-de -- German version of arsclassica.
  translation-biblatex-de -- German translation of the documentation of
   biblatex.
  translation-chemsym-de -- German version of chemsym.
  translation-ecv-de -- German version of evc.
  translation-enumitem-de -- Enumitem documentation, in German.
  translation-europecv-de -- German version of europecv.
  translation-filecontents-de -- German version of filecontents.
  translation-moreverb-de -- German version of moreverb.
  voss-de --

Package: texlive-doc-it
Architecture: all
Depends: texlive-doc-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}
Description: TeX Live: Italian documentation
 This package includes the following CTAN packages:
  amsldoc-it --
  amsmath-it -- Italian translations of some old AMSmath documents.
  amsthdoc-it --
  fancyhdr-it -- Italian translation of fancyhdr documentation.
  l2tabu-italian -- Italian Translation of Obsolete packages and commands
  latex4wp-it --
  lshort-italian -- Introduction to LaTeX in Italian.
  psfrag-italian -- PSfrag documentation in Italian.
  texlive-it -- TeX Live manual (Italian)

Package: texlive-doc-ja
Architecture: all
Depends: texlive-doc-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}
Description: TeX Live: Japanese documentation
 This package includes the following CTAN packages:
  lshort-japanese -- Japanese version of A Short Introduction to LaTeX2e

Package: texlive-doc-ko
Architecture: all
Depends: texlive-doc-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}
Description: TeX Live: Korean documentation
 This package includes the following CTAN packages:
  lshort-korean -- Korean introduction to LaTeX.

Package: texlive-doc-mn
Architecture: all
Depends: texlive-doc-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}
Description: TeX Live: Mongolian documentation
 This package includes the following CTAN packages:
  lshort-mongol -- Short introduction to LaTeX, in Mongolian.

Package: texlive-doc-pl
Architecture: all
Depends: texlive-doc-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}
Description: TeX Live: Polish documentation
 This package includes the following CTAN packages:
  lshort-polish -- Introduction to LaTeX in Polish.
  tex-virtual-academy-pl --
  texlive-pl -- TeX Live manual (Polish)

Package: texlive-doc-pt
Architecture: all
Depends: texlive-doc-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}
Description: TeX Live: Portuguese documentation
 This package includes the following CTAN packages:
  beamer-tut-pt -- An introduction to the Beamer class, in Portuguese.
  cursolatex -- A LaTeX tutorial.
  latexcheat-ptbr -- A LaTeX cheat sheet, in Brazilian Portuguese.
  lshort-portuguese -- Introduction to LaTeX in Portuguese.
  xypic-tut-pt -- A tutorial for XY-pic, in Portuguese.

Package: texlive-doc-ru
Architecture: all
Depends: texlive-doc-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}
Description: TeX Live: Russian documentation
 This package includes the following CTAN packages:
  lshort-russian -- Russian introduction to LaTeX.
  mpman-ru -- A Russian translation of the MetaPost manual.
  texlive-ru -- TeX Live manual (Russian)

Package: texlive-doc-si
Architecture: all
Depends: texlive-doc-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}
Description: TeX Live: Slovenian documentation
 This package includes the following CTAN packages:
  lshort-slovenian -- Slovenian translation of lshort.

Package: texlive-doc-rs
Architecture: all
Depends: texlive-doc-base (>= 2012.20120516), texlive-common (>= 2012.20120516), ${misc:Depends}
Description: TeX Live: Serbian documentation
