=== debian/watch ===
version=3
opts=pasv,dversionmangle=s/\.dfsg\.\d+$// ftp://ftp.tug.org/texlive/Images/texlive(....)-live-.*\.iso
